# Piwigo web API (web-services) explorer

## Available methods

##

##

> API = Application Programming Interface.
> This is the way other applications can communicate with Piwigo. This feature is also know as Web Services.

> Examples:

> - Wordpress (web blog software) can display random photos from a Piwigo gallery in its sidebar
> - Lightroom (photo management software for desktop) can create albums and upload photos to Piwigo

> This page lists all API methods available on your Piwigo installation, part of the Piwigo core or added by third-party plugins. For each method you can consult required and optional parameters, and even test them in direct live!

> For more information you can consult our Wiki Piwigo Web API and our forums.

### Description

### Test

> Request format : |
> Response format : |
> INVOKE INVOKE (new window)

### Method parameters

Name | Extra | Type | Value | Send
*: required, ?: optional, []: can be an array (use a pipe | to split values) B: boolean, I: integer, F: float, +: positive, ø: not null

### Result

↓ increase height • ↑ decrease height